# Cilium debug information

#### Kernel version

```
5.11.12
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.23 (v1.23.8+k0s) [linux/arm64]
Kubernetes APIs:        ["cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "core/v1::Namespace", "core/v1::Node", "core/v1::Pods", "core/v1::Service", "discovery/v1::EndpointSlice", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Strict   [enp1s4 172.16.68.198 (Direct Routing)]
Host firewall:          Disabled
Cilium:                 Ok   1.11.6 (v1.11.6-fee2d77)
NodeMonitor:            Listening for events on 2 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 3/254 allocated from 10.0.0.0/24, 
Allocated addresses:
  10.0.0.247 (health)
  10.0.0.68 (kube-system/konnectivity-agent-hg5gm)
  10.0.0.90 (router)
BandwidthManager:       Disabled
Host Routing:           Legacy
Masquerading:           IPTables [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   jiffies   [100 Hz]
Controller Status:      26/26 healthy
  Name                                          Last success   Last error   Count   Message
  bpf-map-sync-cilium_lb4_backends_v2           9s ago         never        0       no error   
  bpf-map-sync-cilium_lxc                       9s ago         never        0       no error   
  cilium-health-ep                              14s ago        never        0       no error   
  dns-garbage-collector-job                     24s ago        never        0       no error   
  endpoint-226-regeneration-recovery            never          never        0       no error   
  endpoint-519-regeneration-recovery            never          never        0       no error   
  endpoint-82-regeneration-recovery             never          never        0       no error   
  endpoint-gc                                   3m24s ago      never        0       no error   
  ipcache-inject-labels                         3m11s ago      3m20s ago    0       no error   
  k8s-heartbeat                                 24s ago        never        0       no error   
  metricsmap-bpf-prom-sync                      9s ago         never        0       no error   
  neighbor-table-refresh                        14s ago        never        0       no error   
  resolve-identity-519                          3m14s ago      never        0       no error   
  resolve-identity-82                           3m14s ago      never        0       no error   
  restoring-ep-identity (226)                   3m15s ago      never        0       no error   
  sync-endpoints-and-host-ips                   15s ago        never        0       no error   
  sync-lb-maps-with-k8s-services                3m15s ago      never        0       no error   
  sync-node-with-ciliumnode (rke-cc.tchu.dev)   3m19s ago      3m21s ago    0       no error   
  sync-policymap-226                            9s ago         never        0       no error   
  sync-policymap-519                            9s ago         never        0       no error   
  sync-policymap-82                             9s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (226)              5s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (519)              14s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (82)               14s ago        never        0       no error   
  template-dir-watcher                          never          never        0       no error   
  update-k8s-node-annotations                   3m20s ago      never        0       no error   
Proxy Status:   OK, ip 10.0.0.90, 0 redirects active on ports 10000-20000
Hubble:         Ok   Current/Max Flows: 467/4095 (11.40%), Flows/s: 2.21   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 Strict
  Socket LB Protocols:    TCP, UDP
  Devices:                enp1s4 172.16.68.198 (Direct Routing)
  Mode:                   SNAT
  Backend Selection:      Random
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Non-TCP connection tracking   65536
  TCP connection tracking       131072
  Endpoint policy               65535
  Events                        2
  IP cache                      512000
  IP masquerading agent         16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           131072
  Neighbor table                131072
  Global policy                 16384
  Per endpoint policy           65536
  Session affinity              65536
  Signal                        2
  Sockmap                       65535
  Sock reverse NAT              65536
  Tunnel                        65536
Encryption:   Disabled
```

#### Cilium environment keys

```
identity-change-grace-period:5s
enable-k8s-endpoint-slice:true
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
kube-proxy-replacement:strict
http-max-grpc-timeout:0
endpoint-gc-interval:5m0s
tofqdns-max-deferred-connection-deletes:10000
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
nodes-gc-interval:5m0s
enable-host-firewall:false
node-port-algorithm:random
certificates-directory:/var/run/cilium/certs
bpf-lb-bypass-fib-lookup:false
enable-health-checking:true
join-cluster:false
bpf-map-dynamic-size-ratio:0.0025
proxy-prometheus-port:0
agent-labels:
kvstore-periodic-sync:5m0s
node-port-mode:snat
iptables-random-fully:false
enable-host-port:true
bpf-lb-acceleration:disabled
enable-selective-regeneration:true
bgp-config-path:/var/lib/cilium/bgp/config.yaml
bpf-lb-dsr-l4-xlate:frontend
envoy-log:
bpf-lb-rss-ipv4-src-cidr:
hubble-socket-path:/var/run/cilium/hubble.sock
enable-ip-masq-agent:false
cilium-endpoint-gc-interval:5m0s
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
socket-path:/var/run/cilium/cilium.sock
enable-session-affinity:true
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
enable-ipsec:false
ipvlan-master-device:undefined
api-rate-limit:
prepend-iptables-chains:true
auto-direct-node-routes:false
local-router-ipv6:
enable-bandwidth-manager:false
endpoint-status:
bgp-announce-lb-ip:false
monitor-queue-size:0
enable-hubble:true
state-dir:/var/run/cilium
label-prefix-file:
max-controller-interval:0
hubble-event-buffer-capacity:4095
sidecar-istio-proxy-image:cilium/istio_proxy
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
ipv6-pod-subnets:
enable-wireguard-userspace-fallback:false
kvstore-connectivity-timeout:2m0s
dnsproxy-concurrency-processing-grace-period:0s
enable-remote-node-identity:true
pprof:false
tofqdns-enable-dns-compression:true
allow-localhost:auto
bpf-lb-rss-ipv6-src-cidr:
ipv4-native-routing-cidr:
hubble-metrics-server:
proxy-gid:1337
kvstore-max-consecutive-quorum-errors:2
ip-allocation-timeout:2m0s
trace-payloadlen:128
devices:
bpf-sock-rev-map-max:262144
exclude-local-address:
derive-masquerade-ip-addr-from-device:
labels:
enable-endpoint-routes:false
enable-custom-calls:false
bpf-ct-timeout-regular-any:1m0s
enable-ipv4-fragment-tracking:true
hubble-event-queue-size:0
http-retry-count:3
remove-cilium-node-taints:true
disable-iptables-feeder-rules:
hubble-export-file-max-backups:5
bypass-ip-availability-upon-restore:false
cluster-pool-ipv4-cidr:10.0.0.0/8
enable-bpf-masquerade:false
tunnel:vxlan
bpf-policy-map-max:16384
gops-port:9890
hubble-disable-tls:false
nat46-range:0:0:0:0:0:FFFF::/96
enable-wireguard:false
enable-health-check-nodeport:true
bpf-lb-dsr-dispatch:opt
ipv4-service-loopback-address:169.254.42.1
ipv6-service-range:auto
conntrack-gc-interval:0s
enable-host-reachable-services:false
lib-dir:/var/lib/cilium
cluster-health-port:4240
bpf-ct-timeout-regular-tcp-fin:10s
policy-queue-size:100
read-cni-conf:
k8s-namespace:kube-system
ipv6-cluster-alloc-cidr:f00d::/64
policy-audit-mode:false
version:false
http-403-msg:
bpf-lb-maglev-table-size:16381
prefilter-device:undefined
enable-l7-proxy:true
k8s-api-server:
ipv6-node:auto
mke-cgroup-mount:
k8s-heartbeat-timeout:30s
k8s-service-proxy-name:
hubble-export-file-compress:false
route-metric:0
identity-restore-grace-period:10m0s
enable-local-redirect-policy:false
ipv4-range:auto
prometheus-serve-addr:
disable-cnp-status-updates:true
disable-endpoint-crd:false
enable-bpf-clock-probe:true
bpf-lb-algorithm:random
enable-ipv4-masquerade:true
enable-local-node-route:true
encrypt-interface:
single-cluster-route:false
enable-mke:false
node-port-range:
tofqdns-min-ttl:0
enable-tracing:false
enable-ipv4-egress-gateway:false
hubble-recorder-storage-path:/var/run/cilium/pcaps
bpf-neigh-global-max:524288
fqdn-regex-compile-lru-size:1024
hubble-export-file-path:
host-reachable-services-protos:
hubble-recorder-sink-queue-size:1024
config:
enable-xt-socket-fallback:true
ipv6-range:auto
unmanaged-pod-watcher-interval:15
bpf-ct-global-any-max:262144
enable-hubble-recorder-api:true
bpf-lb-external-clusterip:false
log-driver:
enable-identity-mark:true
preallocate-bpf-maps:false
enable-endpoint-health-checking:true
bpf-lb-dev-ip-addr-inherit:
prefilter-mode:native
annotate-k8s-node:true
node-port-acceleration:disabled
tofqdns-dns-reject-response-code:refused
enable-external-ips:true
bpf-ct-timeout-service-tcp:6h0m0s
k8s-require-ipv4-pod-cidr:false
node-port-bind-protection:true
allow-icmp-frag-needed:true
crd-wait-timeout:5m0s
hubble-metrics:
native-routing-cidr:
enable-ipv4:true
enable-policy:default
set-cilium-is-up-condition:true
kvstore-lease-ttl:15m0s
enable-auto-protect-node-port-range:true
tofqdns-proxy-port:0
bpf-lb-map-max:65536
enable-ipv6:false
enable-k8s-api-discovery:false
enable-ipv6-ndp:false
dns-max-ips-per-restored-rule:1000
cgroup-root:/run/cilium/cgroupv2
http-normalize-path:true
enable-well-known-identities:false
debug-verbose:
log-system-load:false
monitor-aggregation-interval:5s
debug:false
k8s-sync-timeout:3m0s
install-no-conntrack-iptables-rules:false
enable-recorder:false
cluster-pool-ipv4-mask-size:24
tofqdns-idle-connection-grace-period:0s
direct-routing-device:
kube-proxy-replacement-healthz-bind-address:
allocator-list-timeout:3m0s
write-cni-conf-when-ready:
policy-trigger-interval:1s
enable-icmp-rules:false
install-iptables-rules:true
bgp-announce-pod-cidr:false
datapath-mode:veth
restore:true
bpf-root:
operator-api-serve-addr:127.0.0.1:9234
enable-xdp-prefilter:false
auto-create-cilium-node-resource:true
http-retry-timeout:0
enable-l2-neigh-discovery:true
bpf-ct-timeout-regular-tcp-syn:1m0s
ip-masq-agent-config-path:/etc/config/ip-masq-agent
endpoint-interface-name-prefix:lxc+
ipsec-key-file:
ipv4-node:auto
fixed-identity-mapping:
dnsproxy-concurrency-limit:0
kvstore-opt:
enable-service-topology:false
egress-multi-home-ip-rule-compat:false
enable-ipv6-masquerade:true
cmdref:
enable-k8s-terminating-endpoint:true
bpf-nat-global-max:524288
pprof-port:6060
ipv6-mcast-device:
metrics:
custom-cni-conf:false
arping-refresh-period:30s
mtu:0
bpf-lb-mode:snat
tofqdns-endpoint-max-ip-per-hostname:50
ipv4-pod-subnets:
tunnel-port:0
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
vlan-bpf-bypass:
k8s-kubeconfig-path:
k8s-require-ipv6-pod-cidr:false
enable-cilium-endpoint-slice:false
local-router-ipv4:
disable-conntrack:false
endpoint-queue-size:25
kvstore:
enable-svc-source-range-check:true
monitor-aggregation:medium
enable-k8s-event-handover:false
bpf-fragments-map-max:8192
enable-bpf-tproxy:false
ipv4-service-range:auto
encrypt-node:false
iptables-lock-timeout:5s
cflags:
egress-masquerade-interfaces:
bpf-ct-global-tcp-max:524288
identity-allocation-mode:crd
enable-monitor:true
k8s-service-cache-size:128
http-idle-timeout:0
proxy-connect-timeout:1
http-request-timeout:3600
enable-node-port:false
hubble-listen-address::4244
tofqdns-proxy-response-max-delay:100ms
bpf-ct-timeout-service-any:1m0s
log-opt:
keep-config:false
force-local-policy-eval-at-source:true
enable-host-legacy-routing:false
sockops-enable:false
tofqdns-pre-cache:
ipam:cluster-pool
disable-envoy-version-check:false
monitor-aggregation-flags:all
hubble-export-file-max-size-mb:10
cluster-name:default
config-dir:/tmp/cilium/config-map
cluster-id:
bpf-ct-timeout-regular-tcp:6h0m0s
clustermesh-config:/var/lib/cilium/clustermesh/
bpf-lb-sock-hostns-only:false
agent-health-port:9879
```


#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                                                  IPv6   IPv4         STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                                   
82         Disabled           Disabled          4          reserved:health                                                                     10.0.0.247   ready   
226        Disabled           Disabled          1          reserved:host                                                                                    ready   
519        Disabled           Disabled          33773      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system          10.0.0.68    ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                 
                                                           k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent                                               
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                              
                                                           k8s:k8s-app=konnectivity-agent                                                                           
```

#### BPF Policy Get 82

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         4192    52        
Allow    Ingress     1          ANY          NONE         2795    32        
Allow    Egress      0          ANY          NONE         6201    78        

```


#### BPF CT List 82

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00082: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00082: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00082: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00082: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00082: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00082: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00082: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00082: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 82

```
[
  {
    "id": 82,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-82-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "b6260813-a03d-4eb1-a018-71de5802fd6a"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-82",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-27T09:20:26.824Z",
            "success-count": 1
          },
          "uuid": "50cb3c81-41eb-44e8-9766-c9a37a7b8a41"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-82",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-27T09:23:31.833Z",
            "success-count": 7
          },
          "uuid": "75e7faf9-de5c-4d3a-a128-bd3aaf00aebc"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (82)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-27T09:23:36.862Z",
            "success-count": 21
          },
          "uuid": "8e7b838d-4833-4e17-a90d-84c70bbd5277"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ],
        "labelsSHA256": "9f122da90704e5177f344e0582800e43b05842f9f6b1812cf4690aade0915275"
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2022-06-27T09:20:31Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.0.247"
          }
        ],
        "host-mac": "0a:65:c0:da:99:ad",
        "interface-index": 17,
        "interface-name": "lxc_health",
        "mac": "76:5e:6f:01:bf:25"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 82

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 82

```
Timestamp              Status   State                   Message
2022-06-27T09:20:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-27T09:20:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-27T09:20:31Z   OK       regenerating            Regenerating endpoint: 
2022-06-27T09:20:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-27T09:20:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: kube-apiserver identity updated)
2022-06-27T09:20:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-27T09:20:30Z   OK       regenerating            Regenerating endpoint: kube-apiserver identity updated
2022-06-27T09:20:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to kube-apiserver identity updated
2022-06-27T09:20:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-27T09:20:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-27T09:20:30Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-27T09:20:30Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2022-06-27T09:20:29Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to kube-apiserver identity updated
2022-06-27T09:20:28Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to 
2022-06-27T09:20:27Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-27T09:20:26Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-06-27T09:20:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-06-27T09:20:26Z   OK       ready                   Set identity for this endpoint
2022-06-27T09:20:26Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 226

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         0       0         
Allow    Egress      0          ANY          NONE         0       0         

```


#### BPF CT List 226

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00226: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00226: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00226: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00226: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00226: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00226: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00226: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00226: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 226

```
[
  {
    "id": 226,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-226-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "3cdf352f-8610-4804-a1ce-84b8ecb11e8c"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (226)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-27T09:20:26.530Z",
            "success-count": 1
          },
          "uuid": "d2e411ae-60ed-4a0a-9a11-4aaea6cbc508"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-226",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-27T09:23:31.833Z",
            "success-count": 6
          },
          "uuid": "846e6e21-1207-456d-b2cf-d48fd6df2dbf"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (226)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-27T09:23:36.557Z",
            "success-count": 20
          },
          "uuid": "91c669a4-94c0-4353-b4d8-c3bcac6aa055"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "reserved:host"
        ],
        "labelsSHA256": "e4faf1094f0345379a564e072a74e9c130c4c628b585b75f6be16dbcfd8d1b49"
      },
      "labels": {
        "derived": [
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2022-06-27T09:20:31Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "6e:89:2e:29:39:39",
        "interface-name": "cilium_host",
        "mac": "6e:89:2e:29:39:39"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 226

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 226

```
Timestamp              Status   State                   Message
2022-06-27T09:20:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-27T09:20:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-27T09:20:31Z   OK       regenerating            Regenerating endpoint: 
2022-06-27T09:20:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-27T09:20:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-06-27T09:20:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-27T09:20:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-06-27T09:20:31Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: syncing state to host)
2022-06-27T09:20:30Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to kube-apiserver identity updated
2022-06-27T09:20:29Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to kube-apiserver identity updated
2022-06-27T09:20:28Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2022-06-27T09:20:27Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2022-06-27T09:20:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-06-27T09:20:26Z   OK       regenerating            Regenerating endpoint: syncing state to host
2022-06-27T09:20:26Z   OK       restoring               Synchronizing endpoint labels with KVStore
2022-06-27T09:20:20Z   OK       restoring               Restoring endpoint from previous cilium instance
2022-06-27T09:20:17Z   OK       restoring               Endpoint restoring

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 519

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         109871   543       
Allow    Ingress     1          ANY          NONE         214802   401       
Allow    Egress      0          ANY          NONE         322145   1005      

```


#### BPF CT List 519

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00519: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00519: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00519: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00519: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00519: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00519: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00519: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00519: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 519

```
[
  {
    "id": 519,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-519-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "7eb31e93-b030-4099-94f9-5fbe87775997"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-519",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-27T09:20:27.270Z",
            "success-count": 1
          },
          "uuid": "c7ece0e2-77be-4c95-85d5-971b008e24cf"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-519",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-27T09:23:31.833Z",
            "success-count": 6
          },
          "uuid": "691b6770-00b5-4f72-bcdb-6bc446e5e9e0"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (519)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-06-27T09:23:37.338Z",
            "success-count": 21
          },
          "uuid": "9cdc393a-3aaf-4a9c-9372-e5bf5a0664dd"
        }
      ],
      "external-identifiers": {
        "container-id": "fdaa76bdc8687e23e933dfe84c6e3763f2a35850dc5fceb08a2130cf825e6958",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "konnectivity-agent-hg5gm",
        "pod-name": "kube-system/konnectivity-agent-hg5gm"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 33773,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:k8s-app=konnectivity-agent",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent"
        ],
        "labelsSHA256": "c4ac05bdc4cd0f08a8e7034162762862fc056e637dcac2633ddfacb10a25760d"
      },
      "labels": {
        "derived": [
          "k8s:controller-revision-hash=655c79ddbc",
          "k8s:pod-template-generation=2"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=konnectivity-agent"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2022-06-27T09:20:31Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.0.68"
          }
        ],
        "host-mac": "ca:64:07:17:49:4c",
        "interface-index": 19,
        "interface-name": "lxc0dc48b57a429",
        "mac": "2a:d2:04:e0:61:a6"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 33773,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 33773,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 519

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 519

```
Timestamp              Status   State                   Message
2022-06-27T09:20:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2022-06-27T09:20:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-27T09:20:31Z   OK       regenerating            Regenerating endpoint: 
2022-06-27T09:20:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2022-06-27T09:20:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: kube-apiserver identity updated)
2022-06-27T09:20:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-27T09:20:30Z   OK       regenerating            Regenerating endpoint: kube-apiserver identity updated
2022-06-27T09:20:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to kube-apiserver identity updated
2022-06-27T09:20:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-06-27T09:20:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-06-27T09:20:30Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-06-27T09:20:29Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to kube-apiserver identity updated
2022-06-27T09:20:28Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2022-06-27T09:20:27Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2022-06-27T09:20:27Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-06-27T09:20:27Z   OK       ready                   Set identity for this endpoint
2022-06-27T09:20:27Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 33773

```
ID      LABELS
33773   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=konnectivity-agent

```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0x400060d248)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0x40001bff80,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (int32) 1,
    readerWait: (int32) 0
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=6) {
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0x4000aa66c0)(frontends:[10.96.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0x4000aa6750)(frontends:[10.96.0.10]/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0x4000aa67e0)(frontends:[10.105.217.238]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.Service)(0x4000aa6870)(frontends:[10.96.11.226]/ports=[http]/selector=map[k8s-app:hubble-ui]),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.Service)(0x4000aa6900)(frontends:[10.98.128.48]/ports=[]/selector=map[k8s-app:hubble-relay]),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.Service)(0x4000aa6990)(frontends:[10.108.227.116]/ports=[https]/selector=map[k8s-app:metrics-server])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=6) {
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.EndpointSlices)(0x4000258728)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=15) "hubble-ui-zz4c8": (*k8s.Endpoints)(0x40010a2b38)(10.0.1.9:8081/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0x4000258748)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-j8qfd": (*k8s.Endpoints)(0x40010d8678)(172.16.68.198:4244/TCP,172.16.68.199:4244/TCP,172.16.68.200:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.EndpointSlices)(0x4000258768)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "hubble-relay-fjnnr": (*k8s.Endpoints)(0x40010d8700)(10.0.1.167:4245/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.EndpointSlices)(0x4000258790)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "metrics-server-bphp2": (*k8s.Endpoints)(0x40010a2bc0)(10.0.1.70:10250/TCP)
   }
  }),
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0x40002586e8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0x40002586e0)(172.16.68.201:6443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0x4000258708)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-756vr": (*k8s.Endpoints)(0x40010d86e0)(10.0.1.162:53/TCP,10.0.1.162:53/UDP,10.0.1.162:9153/TCP,10.0.1.99:53/TCP,10.0.1.99:53/UDP,10.0.1.99:9153/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*linux.linuxNodeAddressing)(0x4810d88)({
  ipv6: (linux.addressFamilyIPv6) {
  },
  ipv4: (linux.addressFamilyIPv4) {
  }
 }),
 selfNodeZoneLabel: (string) ""
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### Cilium version

```
1.11.6 fee2d77 2022-06-13T16:02:58-07:00 go version go1.17.11 linux/arm64
```


#### Service list

```
ID   Frontend             Service Type   Backend                   
1    10.96.0.10:9153      ClusterIP      1 => 10.0.1.162:9153      
                                         2 => 10.0.1.99:9153       
2    10.96.0.10:53        ClusterIP      1 => 10.0.1.162:53        
                                         2 => 10.0.1.99:53         
5    10.96.0.1:443        ClusterIP      1 => 172.16.68.201:6443   
10   10.96.11.226:80      ClusterIP      1 => 10.0.1.9:8081        
11   10.105.217.238:443   ClusterIP      1 => 172.16.68.199:4244   
                                         2 => 172.16.68.198:4244   
                                         3 => 172.16.68.200:4244   
12   10.98.128.48:80      ClusterIP      1 => 10.0.1.167:4245      
13   10.108.227.116:443   ClusterIP      1 => 10.0.1.70:10250      
```

#### Policy get

```
:
 []
Revision: 1

```


#### Cilium memory map


```
00010000-01e74000 r-xp 00000000 fd:00 50529218                           /usr/bin/cilium-agent
01e80000-04192000 r--p 01e70000 fd:00 50529218                           /usr/bin/cilium-agent
041a0000-0429e000 rw-p 04190000 fd:00 50529218                           /usr/bin/cilium-agent
0429e000-04a27000 rw-p 00000000 00:00 0 
4000000000-4002c00000 rw-p 00000000 00:00 0 
4002c00000-4004000000 ---p 00000000 00:00 0 
ffff85063000-ffff85113000 rw-p 00000000 00:00 0 
ffff85113000-ffff85154000 rw-s 00000000 00:0d 11469                      anon_inode:[perf_event]
ffff85154000-ffff85195000 rw-s 00000000 00:0d 11469                      anon_inode:[perf_event]
ffff85195000-ffff85197000 rw-s 00000000 00:0d 11469                      anon_inode:[perf_event]
ffff85197000-ffff85199000 rw-s 00000000 00:0d 11469                      anon_inode:[perf_event]
ffff85199000-ffff87920000 rw-p 00000000 00:00 0 
ffff87920000-ffff879a0000 ---p 00000000 00:00 0 
ffff879a0000-ffff879a1000 rw-p 00000000 00:00 0 
ffff879a1000-ffffa7930000 ---p 00000000 00:00 0 
ffffa7930000-ffffa7931000 rw-p 00000000 00:00 0 
ffffa7931000-ffffab922000 ---p 00000000 00:00 0 
ffffab922000-ffffab923000 rw-p 00000000 00:00 0 
ffffab923000-ffffac120000 ---p 00000000 00:00 0 
ffffac120000-ffffac121000 rw-p 00000000 00:00 0 
ffffac121000-ffffac220000 ---p 00000000 00:00 0 
ffffac220000-ffffac280000 rw-p 00000000 00:00 0 
ffffac280000-ffffac282000 r--p 00000000 00:00 0                          [vvar]
ffffac282000-ffffac283000 r-xp 00000000 00:00 0                          [vdso]
ffffd6615000-ffffd6636000 rw-p 00000000 00:00 0                          [stack]

```


#### Cilium encryption


